Open Bug 1533681 Opened 7 months ago Updated 13 hours ago

Intermittent browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Test timed out -

Categories

(Firefox :: Preferences, defect, P2)

defect

Tracking

()

REOPENED
Firefox 68
Tracking Status
firefox-esr60 --- unaffected
firefox66 --- unaffected
firefox67 --- fixed
firefox68 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: NarcisB, NeedInfo)

References

(Blocks 1 open bug)

Details

(Keywords: intermittent-failure, regression, Whiteboard: [stockwell disabled][stockwell needswork:owner])

Attachments

(1 file)

#[markdown(off)]
Filed by: nbeleuzu [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=232607880&repo=autoland

https://queue.taskcluster.net/v1/task/UTeCju1WSEmeH65l6i5kRQ/runs/0/artifacts/public/logs/live_backing.log

08:15:13 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct date. - "3/8/2019, 8:13 AM" == "3/8/2019, 8:13 AM" -
08:15:13 INFO - Buffered messages logged at 08:13:51
08:15:13 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Cookies from the second host should not be cleared -
08:15:13 INFO - Buffered messages finished
08:15:13 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Test timed out -
08:15:13 INFO - GECKO(10964) | MEMORY STAT | vsize 19405108MB | vsizeMaxContiguous 66584889MB | residentFast 1299MB
08:15:13 INFO - TEST-OK | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | took 90107ms
08:15:13 INFO - Not taking screenshot here: see the one that was previously logged
08:15:13 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Found a tab after previous test timed out: about:preferences#privacy -
08:15:13 INFO - checking window state
08:15:13 INFO - TEST-START | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js
08:15:15 INFO - Not taking screenshot here: see the one that was previously logged
08:15:15 INFO - Buffered messages logged at 08:15:13
08:15:15 INFO - Entering test bound test_selectRemove
08:15:15 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Passed an origin string into addTestData. -
08:15:15 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Passed an origin string into addTestData. -
08:15:15 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Passed an origin string into addTestData. -
08:15:15 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Passed an origin string into addTestData. -
08:15:15 INFO - Buffered messages logged at 08:15:15
08:15:15 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Check the proper URL is loaded -
08:15:15 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Element should not be null, when checking visibility -
08:15:15 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Overlay is visible -
08:15:15 INFO - found chrome://browser/skin/preferences/preferences.css
08:15:15 INFO - found chrome://global/skin/in-content/common.css
08:15:15 INFO - found chrome://browser/skin/preferences/in-content/preferences.css
08:15:15 INFO - found chrome://browser/skin/preferences/in-content/dialog.css
08:15:15 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | All expectedStyleSheetURLs should have been found -
08:15:15 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | The Settings dialog should be visible -
08:15:15 INFO - Buffered messages finished
08:15:15 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Should list the right sites number - Got 5, expected 4
08:15:15 INFO - Stack trace:
08:15:15 INFO - chrome://mochikit/content/browser-test.js:test_is:1315
08:15:15 INFO - chrome://mochitests/content/browser/browser/components/preferences/in-content/tests/siteData/head.js:assertSitesListed:122
08:15:15 INFO - chrome://mochitests/content/browser/browser/components/preferences/in-content/tests/siteData/browser_siteData2.js:test_selectRemove:51
08:15:15 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1106
08:15:15 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1134
08:15:15 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:995
08:15:15 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803

Bug 1533426 landed shortly before the first of these failures. Jan, can you take a look, please?

Blocks: 1533426
Flags: needinfo?(jvarga)
Priority: P5 → P1
Blocks: 1517090
Flags: needinfo?(jvarga)
Flags: needinfo?(jvarga)

Update:
There have been 30 failures within the last 7 days:

  • 3 failures on OS X 10.10 debug
  • 27 failures on Windows 10 x64 asan

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=236670944&repo=autoland&lineNumber=4856

17:59:50 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | The Settings dialog should be visible -
17:59:50 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should list one site with cookies - 1 == 1 -
17:59:50 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct host. - "example.com" == "example.com" -
17:59:50 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct number of cookies. - "2" == "2" -
17:59:50 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show no site data. - "" == "" -
17:59:50 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the relative date. - true == true -
17:59:50 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct date. - "3/28/2019, 5:58 PM" == "3/28/2019, 5:58 PM" -
17:59:50 INFO - Buffered messages finished
17:59:50 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Test timed out -
17:59:50 INFO - GECKO(7184) | MEMORY STAT heapAllocated not supported in this build configuration.
17:59:50 INFO - GECKO(7184) | MEMORY STAT | vsize 19405164MB | vsizeMaxContiguous 65807106MB | residentFast 1227MB
17:59:50 INFO - TEST-OK | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | took 90242ms
17:59:50 INFO - Not taking screenshot here: see the one that was previously logged
17:59:50 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Found a tab after previous test timed out: about:preferences#privacy -
17:59:50 INFO - checking window state

Whiteboard: [stockwell needswork]
No longer blocks: 1517090
Blocks: 1540402
No longer blocks: 1539835
Flags: needinfo?(jvarga)

Over the last 7 days this bug has 31 failures. These happen on windows7-32, windows10-64-ccov, windows10-64,

Here is the latest log failure: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=238526522&repo=mozilla-inbound&lineNumber=43343

Flags: needinfo?(jaws)

https://treeherder.mozilla.org/#/jobs?repo=try&revision=8110ca147a7610f2b1328303c63dddc97dd584c2

From my debug information it's timing out when opening the Site Data Manager dialog. This should be worked on as part of bug 1540402.

Flags: needinfo?(jaws)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Whiteboard: [stockwell disable-recommended]

Over the last 7 days there are 64 failures present on this bug. These happen on windows10-64, linux32, linux64, linux64-ccov, osx-10-10, osx-10-10-shippable, windows10-64, windows10-64-ccov, windows7-32.

Here is the most recent log example: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=240916931&repo=mozilla-inbound&lineNumber=2838

11:28:39 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show no site data. - "" == "" -
11:28:39 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the relative date. - true == true -
11:28:39 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct date. - "4/17/2019, 11:27 AM" == "4/17/2019, 11:27 AM" -
11:28:39 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct host. - "example.org" == "example.org" -
11:28:39 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct number of cookies. - "1" == "1" -
11:28:39 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show no site data. - "" == "" -
11:28:39 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the relative date. - true == true -
11:28:39 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct date. - "4/17/2019, 11:27 AM" == "4/17/2019, 11:27 AM" -
11:28:39 INFO - Buffered messages logged at 11:27:17
11:28:39 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Cookies from the second host should not be cleared -
11:28:39 INFO - Buffered messages finished
11:28:39 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Test timed out -
11:28:39 INFO - GECKO(5624) | MEMORY STAT | vsize 19406136MB | vsizeMaxContiguous 65154142MB | residentFast 1325MB
11:28:39 INFO - TEST-OK | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | took 90111ms
11:28:39 INFO - Not taking screenshot here: see the one that was previously logged
11:28:39 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Found a tab after previous test timed out: about:preferences#privacy -
11:28:39 INFO - checking window state
11:28:39 INFO - TEST-START | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js
11:28:40 INFO - GECKO(5624) | JavaScript warning: chrome://global/content/elements/tree.js, line 493: Array.forEach is deprecated; use Array.prototype.forEach instead
11:28:41 INFO - Not taking screenshot here: see the one that was previously logged
11:28:41 INFO - Buffered messages logged at 11:28:39
11:28:41 INFO - Entering test bound test_selectRemove
11:28:41 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Passed an origin string into addTestData. -
11:28:41 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Passed an origin string into addTestData. -
11:28:41 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Passed an origin string into addTestData. -
11:28:41 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Passed an origin string into addTestData. -
11:28:41 INFO - Buffered messages logged at 11:28:41
11:28:41 INFO - Console message: [JavaScript Warning: "Array.forEach is deprecated; use Array.prototype.forEach instead" {file: "chrome://global/content/elements/tree.js" line: 493}]
11:28:41 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Check the proper URL is loaded -
11:28:41 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Element should not be null, when checking visibility -
11:28:41 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Overlay is visible -
11:28:41 INFO - found chrome://browser/skin/preferences/preferences.css
11:28:41 INFO - found chrome://global/skin/in-content/common.css
11:28:41 INFO - found chrome://browser/skin/preferences/in-content/preferences.css
11:28:41 INFO - found chrome://browser/skin/preferences/in-content/dialog.css
11:28:41 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | All expectedStyleSheetURLs should have been found -
11:28:41 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | The Settings dialog should be visible -
11:28:41 INFO - Buffered messages finished
11:28:41 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Should list the right sites number - Got 5, expected 4
11:28:41 INFO - Stack trace:
11:28:41 INFO - chrome://mochikit/content/browser-test.js:test_is:1325
11:28:41 INFO - chrome://mochitests/content/browser/browser/components/preferences/in-content/tests/siteData/head.js:assertSitesListed:122
11:28:41 INFO - chrome://mochitests/content/browser/browser/components/preferences/in-content/tests/siteData/browser_siteData2.js:test_selectRemove:51
11:28:41 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1116
11:28:41 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1144
11:28:41 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1005
11:28:41 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
11:28:41 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Should list the site of account.xyz.com -
11:28:41 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | Should list the site of shopping.xyz.com -

Flags: needinfo?(jaws)
Flags: needinfo?(jaws) → needinfo?(jvarga)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]

There are 119 failures in the last 7 days. Most of them on Windows and Linux debug.
:jaws , is it ok to disable it until you`ll fix it?

Flags: needinfo?(jaws)
Pushed by dvarga@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/e2cc745b30eb
Disable browser_siteData.js on Win and Linux (debug) r=jmaher
Status: NEW → RESOLVED
Closed: 6 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 68
Assignee: nobody → nbeleuzu

This issue is still occurring.

Push with fail: https://treeherder.mozilla.org/#/jobs?repo=autoland&resultStatus=testfailed%2Cbusted%2Cexception&revision=05728c3ec05302f36d5d97692787e08f39710801&selectedJob=243600412

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=243600412&repo=autoland&lineNumber=4920

Log snippet: 12:36:03 INFO - TEST-START | browser/components/preferences/in-content/tests/siteData/browser_siteData.js
12:36:03 INFO - TEST-SKIP | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | bound
12:36:03 WARNING - Skipping test bound
12:36:07 INFO - GECKO(5304) | [Parent 10848, Gecko_IOThread] WARNING: pipe error: 109: file z:/build/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
12:37:33 INFO - TEST-INFO | started process screenshot
12:37:33 INFO - TEST-INFO | screenshot: exit 0
12:37:33 INFO - Buffered messages logged at 12:36:03
12:37:33 INFO - Entering test bound
12:37:33 INFO - Buffered messages logged at 12:36:04
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should enable clear button after sites updated -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should enable settings button after sites updated -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the right total site data size - {"args":{"value":"0","unit":"bytes"},"id":"sitedata-total-size"} deepEqual {"id":"sitedata-total-size","args":{"value":"0","unit":"bytes"}} -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should disable clear button while updating sites -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should disable settings button while updating sites -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the loading message while updating - {"id":"sitedata-total-size-calculating"} deepEqual {"id":"sitedata-total-size-calculating"} -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should enable clear button after sites updated -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should enable settings button after sites updated -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the right total site data size - {"args":{"value":"0","unit":"bytes"},"id":"sitedata-total-size"} deepEqual {"id":"sitedata-total-size","args":{"value":"0","unit":"bytes"}} -
12:37:33 INFO - Leaving test bound
12:37:33 INFO - Entering test bound
12:37:33 INFO - Buffered messages logged at 12:36:06
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Found the service worker registered for https://example.org/browser/browser/components/preferences/in-content/tests/siteData//service_worker_test.html -
12:37:33 INFO - Buffered messages logged at 12:36:07
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Check the proper URL is loaded -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Element should not be null, when checking visibility -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Overlay is visible -
12:37:33 INFO - found chrome://browser/skin/preferences/preferences.css
12:37:33 INFO - found chrome://global/skin/in-content/common.css
12:37:33 INFO - found chrome://browser/skin/preferences/in-content/preferences.css
12:37:33 INFO - found chrome://browser/skin/preferences/in-content/dialog.css
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | All expectedStyleSheetURLs should have been found -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | The Settings dialog should be visible -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Cleared all service workers -
12:37:33 INFO - Leaving test bound
12:37:33 INFO - Entering test bound
12:37:33 INFO - Buffered messages logged at 12:36:10
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Check the proper URL is loaded -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Element should not be null, when checking visibility -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Overlay is visible -
12:37:33 INFO - found chrome://browser/skin/preferences/preferences.css
12:37:33 INFO - found chrome://global/skin/in-content/common.css
12:37:33 INFO - found chrome://browser/skin/preferences/in-content/preferences.css
12:37:33 INFO - found chrome://browser/skin/preferences/in-content/dialog.css
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | All expectedStyleSheetURLs should have been found -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | The Settings dialog should be visible -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should list two sites with cookies - 2 == 2 -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct host. - "example.com" == "example.com" -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct number of cookies. - "2" == "2" -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show no site data. - "" == "" -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the relative date. - true == true -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct date. - "4/30/2019, 12:36 PM" == "4/30/2019, 12:36 PM" -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct host. - "example.org" == "example.org" -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct number of cookies. - "1" == "1" -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show no site data. - "" == "" -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the relative date. - true == true -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Should show the correct date. - "4/30/2019, 12:36 PM" == "4/30/2019, 12:36 PM" -
12:37:33 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Cookies from the second host should not be cleared -
12:37:33 INFO - Buffered messages finished
12:37:33 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Test timed out -
12:37:33 INFO - GECKO(5304) | MEMORY STAT | vsize 19406187MB | vsizeMaxContiguous 67362870MB | residentFast 1321MB
12:37:33 INFO - TEST-OK | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | took 90089ms
12:37:33 INFO - Not taking screenshot here: see the one that was previously logged
12:37:33 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Found a tab after previous test timed out: about:preferences#privacy -
12:37:33 INFO - checking window state
12:37:33 INFO - TEST-START | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js

Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]

I have to finish stuff that must land before soft code freeze. I might be able to take a look at this after that.

There are 35 failures associated to this bug in the last 7 days. These are occurring on windows10-64 asan builds and windows10-64-shippable, linux64-shippable opt builds.

recent log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=245777115&repo=autoland&lineNumber=5701

[task 2019-05-10T17:02:59.875Z] 17:02:59 INFO - Buffered messages finished
[task 2019-05-10T17:02:59.876Z] 17:02:59 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Test timed out -
[task 2019-05-10T17:02:59.880Z] 17:02:59 INFO - GECKO(7866) | MEMORY STAT | vsize 3269MB | residentFast 394MB | heapAllocated 142MB
[task 2019-05-10T17:02:59.881Z] 17:02:59 INFO - TEST-OK | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | took 45049ms
[task 2019-05-10T17:02:59.882Z] 17:02:59 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-05-10T17:02:59.884Z] 17:02:59 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_siteData.js | Found a tab after previous test timed out: about:preferences#privacy -
[task 2019-05-10T17:02:59.885Z] 17:02:59 INFO - checking window state
[task 2019-05-10T17:02:59.886Z] 17:02:59 INFO - TEST-START | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js
[task 2019-05-10T17:03:05.045Z] 17:03:05 INFO - GECKO(7866) | MEMORY STAT | vsize 3281MB | residentFast 438MB | heapAllocated 176MB
[task 2019-05-10T17:03:05.045Z] 17:03:05 INFO - TEST-OK | browser/components/preferences/in-content/tests/siteData/browser_siteData2.js | took 5649ms
[task 2019-05-10T17:03:05.089Z] 17:03:05 INFO - checking window state
[task 2019-05-10T17:03:05.125Z] 17:03:05 INFO - TEST-START | browser/components/preferences/in-content/tests/siteData/browser_siteData3.js
[task 2019-05-10T17:03:08.336Z] 17:03:08 INFO - GECKO(7866) | MEMORY STAT | vsize 3309MB | residentFast 474MB | heapAllocated 214MB
[task 2019-05-10T17:03:08.336Z] 17:03:08 INFO - TEST-OK | browser/components/preferences/in-content/tests/siteData/browser_siteData3.js | took 3212ms
[task 2019-05-10T17:03:08.372Z] 17:03:08 INFO - checking window state
[task 2019-05-10T17:03:08.393Z] 17:03:08 INFO - TEST-START | browser/components/preferences/in-content/tests/siteData/browser_siteData_multi_select.js
[task 2019-05-10T17:03:09.824Z] 17:03:09 INFO - GECKO(7866) | MEMORY STAT | vsize 3305MB | residentFast 468MB | heapAllocated 205MB
[task 2019-05-10T17:03:09.824Z] 17:03:09 INFO - TEST-OK | browser/components/preferences/in-content/tests/siteData/browser_siteData_multi_select.js | took 1429ms
[task 2019-05-10T17:03:09.860Z] 17:03:09 INFO - checking window state
[task 2019-05-10T17:03:12.085Z] 17:03:12 INFO - GECKO(7866) | Completed ShutdownLeaks collections in process 8049

:janv any updates on this?

We have to fix more important remaining issues in LSNG. I can't work on this right now, maybe in two weeks.

Flags: needinfo?(jvarga)
Priority: P1 → P2
Whiteboard: [stockwell disabled] → [stockwell disabled][stockwell needswork:owner]

There were 39 failures in the past week:

  • windows10-64-shippable-qr opt
  • windows10-64-shippable opt
  • windows10-64-qr opt
  • windows10-64 opt/asan
  • macosx1014-64 debug

Recent failure: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=266431211&repo=mozilla-central&lineNumber=3461

Jan, do you have time to take a look at this or perhaps redirect it to someone who might?

Flags: needinfo?(jvarga)

There are 41 failures associated to this bug in the last 7 days. These are occurring on windows10-64 asan, macosx1014-64 debug, windows10-64-shippable-qr opt builds.

Maybe Tom can take a look, he recently worked in this area.

Flags: needinfo?(jvarga) → needinfo?(ttung)

Update:
There have been 42 failures within the last 7 days:

  • 11 failures on Windows 10 x64 QuantumRender Shippable opt
  • 2 failures on Windows 10 x64 QuantumRender opt
  • 12 failures on Windows 10 x64 asan/opt
  • 17 failures on OS X 10.14 debug

Recent failure log e.g.: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=269749361&repo=autoland&lineNumber=19602

You need to log in before you can comment on or make changes to this bug.